<% title "Rozcestníky" %>
<% subtitle "seznam všech #{Guidepost.all.size} rozcestníků" %>

<%= form_tag('', method: "get") do %>
  <%= label_tag(:search, "Hledej:") %>
  <%= text_field_tag(:search, params[:search]) %>
  <%= hidden_field_tag(:filter, params[:filter]) %>
  <%= submit_tag("Search", :type=> :image, :src=>'http://www.dpac.tas.gov.au/__data/assets/image/0006/182139/magnifying_glass_icon.png?v=0.0.6', :style=>'width:15px') %>
<% end %>

<%
 @good = Guidepost.where("kctref LIKE 'PJ___'").sort_by(&:kctref)
 @kct_missing = KctGuidepost.where("kctref LIKE 'PJ___'").sort_by(&:kctref).select{ |kg| kg.guidepost.nil?}
 osm_unrelated = OsmGuidepost.where("kctref LIKE 'PJ___'").sort_by(&:kctref).select{ |og| og.guidepost.nil?}
 @osm_double = osm_unrelated.select{|og| !Guidepost.find_by_kctref(og.kctref).nil? }
 @osm_unrelated =  osm_unrelated - @osm_double 

%>
<style type="text/css">.inset a {padding: 1px 4px} </style>
<div class="inset">
  <p>Tyto KČT rozcestníky chybí
    <% @kct_missing.each do |g| %><%= link_to g.kctref, g %> <% end %>
  </p>
  <p>Tyto rozcestníky jsou v OSM navíc (nejsou přiřazeny)
    <% @osm_unrelated.each do |g| %><%= link_to g.kctref, g %> <% end %>
  </p>
  <p>V OSM jsou dablované tyto rozcestníky
    <% @osm_double.each do |og| %><%= link_to og.kctref, og %> (dabluje <%= link_to "= #{og.kctref}", Guidepost.find_by_kctref(og.kctref) %>
    ) <% end %>
  </p>
  <p>Ostaní jsou v pohodě
    <% @good.each do |g| %><%= link_to g.kctref, g %> <% end %>
  </p>
</div>

<p>Celkem
  <%= @good.size %> správně, 
  <%= @kct_missing.size %> KČT chybí,
  <%= @osm_unrelated.size %> OSM nepřiřazeno,
  <%= @osm_double.size %> OSM zdvojuje existujíci.
</p>

<p>Koordináty chybějících KČT rozcestníků
<% @kct_missing.each do |g| %>
  <%
    coord = g.kct_signs.to_a.reject{|ks| ks.osm_trail.nil?}
             .first.andand.estimated_coordinates_from_osm
  %>
  <%= coord.nil? ? 'N/A' : (show_point coord) %>
<% end %>
</p>

<div id="map" class="fluid-map leaflet-container leaflet-fade-anim"></div>

<script>
  <%= map_setup_script() %>
  var arrayMarkers = [];
<% @kct_missing.each do |g| %>
  <%
    coord = g.kct_signs.to_a.reject{|ks| ks.osm_trail.nil?}
             .first.andand.estimated_coordinates_from_osm
    unless coord.nil?
  %>
    arrayMarkers.push(<%= map_circle_marker_create(coord) %>);
  <% end %>
<% end %>

  var markerLayer = L.featureGroup(arraySegments.concat(arrayMarkers));
  markerLayer.addTo(map);
  map.fitBounds(markerLayer.getBounds());
  var hashMarkers = {}; // ready for other markers in the map
</script>

<!-- === hoverování objektů na mapě ============== -->
<script>
  $('span.point').mouseenter(function(event) {
    hashMarkers[$(this).attr('id')].setStyle({color: 'red', radius:20})
  }).mouseleave(function(event) {
    hashMarkers[$(this).attr('id')].setStyle({color: 'none', radius:5})
  }).click(function(event) {
    map.panTo(hashMarkers[$(this).attr('id')].getLatLng())
  });
</script>

<% content_for :navigace do %>
  <%= link_to 'všechny rozcestníky', guideposts_path %> |
  <%= link_to 'rozcestníky s polohou', guideposts_path(:filter=>'with_position') %> |
  <%= link_to 'nový rozcestník', new_guidepost_path if admin? %> 
<% end %>
